# PSF-LoginServer - master - net.psforever.objects.serverobject.doors.Door
PSF - LoginServer - master - net.psforever.objects.serverobject.doors.Door
Keywords: PSF LoginServer master net.psforever.objects.serverobject.doors.Door

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package doors
  Definition Classes
    serverobject
- Door
- DoorControl
- DoorDefinition
- SpawnTubeDoor
- SpawnTubeDoorControl

o

net.psforever.objects.serverobject.doors

# Door 

###
Companion class Door

#### object Door

Source
  Door.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Door
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class CloseEvent () extends Exchange with Product with Serializable

   This door will close.

2.  final case class DoorMessage (player: Player, msg: UseItemMessage, response: Exchange) extends Product with Serializable

   Message that carries the result of the processed request message back to the original user (`player`).

   Message that carries the result of the processed request message back to the original user (`player`).

   player

     the player who sent this request message

   msg

     the original packet carrying the request

   response

     the result of the processed request

3.  sealed trait Exchange extends AnyRef

   A basic `Trait` connecting all of the actionable `Door` response messages.

4.  type LockingMechanismLogic = (PlanetSideServerObject, Door) => Boolean
5.  final case class NoEvent () extends Exchange with Product with Serializable

   This door will do nothing.

6.  final case class OpenEvent () extends Exchange with Product with Serializable

   This door will open.

7.  final case class UpdateMechanism (mechanism: LockingMechanismLogic) extends Exchange with Product with Serializable
8.  final case class Use (player: Player, msg: UseItemMessage) extends Product with Serializable

   Entry message into this `Door` that carries the request.

   Entry message into this `Door` that carries the request.

   player

     the player who sent this request message

   msg

     the original packet carrying the request

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Constructor(pos: Vector3, ddef: DoorDefinition)(id: Int, context: ActorContext): Door

   Instantiate and configure a `Door` object that has knowledge of both its position and outwards-facing direction.

   Instantiate and configure a `Door` object that has knowledge of both its position and outwards-facing direction. The assumption is that this door will be paired with an IFF Lock, thus, has conditions for opening.

   pos

     the position of the door

   ddef

     the definition for this specific type of door

   id

     the unique id that will be assigned to this entity

   context

     a context to allow the object to properly set up `ActorSystem` functionality

   returns

     the `Door` object

5.  def Constructor(pos: Vector3)(id: Int, context: ActorContext): Door

   Instantiate and configure a `Door` object that has knowledge of both its position and outwards-facing direction.

   Instantiate and configure a `Door` object that has knowledge of both its position and outwards-facing direction. The assumption is that this door will be paired with an IFF Lock, thus, has conditions for opening.

   pos

     the position of the door

   id

     the unique id that will be assigned to this entity

   context

     a context to allow the object to properly set up `ActorSystem` functionality

   returns

     the `Door` object

6.  def Constructor(id: Int, context: ActorContext): Door

   Instantiate and configure a `Door` object.

   Instantiate and configure a `Door` object.

   id

     the unique id that will be assigned to this entity

   context

     a context to allow the object to properly set up `ActorSystem` functionality

   returns

     the `Door` object

7.  def apply(tdef: DoorDefinition): Door

   Overloaded constructor.

   Overloaded constructor.

   tdef

     the `ObjectDefinition` that constructs this object and maintains some of its immutable fields

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
24.  case object Lock extends Exchange with Product with Serializable
25.  case object Unlock extends Exchange with Product with Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped